Name:           perl-VCS-LibCVS
Version:        1.0002
Release:        7%{?dist}
Summary:        Access CVS working directories and repositories
License:        GPLv2+ or Artistic 
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/VCS-LibCVS/
Source0:        http://www.cpan.org/authors/id/D/DI/DISSENT/VCS-LibCVS-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

# non-perl
BuildRequires: cvs
# core
BuildRequires: perl(ExtUtils::MakeMaker) 

# these _packages_ are not provided, however the files they would correspond
# to are and are loaded as if they were packages (use...); hence they're
# picked up by autorequires but not autoprovides.
Provides: perl(VCS::LibCVS::Client::Request::ArgumentUsingRequests) = %{version}-%{release}
Provides: perl(VCS::LibCVS::Client::Request::Requests) = %{version}-%{release}
Provides: perl(VCS::LibCVS::Client::Response::FileUpdateModifyingResponses) = %{version}-%{release}
Provides: perl(VCS::LibCVS::Client::Response::FileUpdatingResponses) = %{version}-%{release}
Provides: perl(VCS::LibCVS::Client::Response::Responses) = %{version}-%{release}

%description
LibCVS provides native Perl access to CVS.

%prep
%setup -q -n VCS-LibCVS-%{version}

find . -type f -exec chmod -c -x {} +

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} %{buildroot}/*

%check
make test

# for packaging: "examples" are installed under _bindir; Makefile.PL +x's t/*
mv examples/t .
chmod -x t/*

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc ChangeLog* COPYING GPL PerlArtisticLicense README t/
%{perl_vendorlib}/*
%{_bindir}/*
%{_mandir}/man3/*

%changelog
* Fri May 07 2010 Marcela Maslanova <mmaslano@redhat.com> - 1.0002-7
- Mass rebuild with perl-5.12.0

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 1.0002-6
- rebuild against perl 5.10.1

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0002-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0002-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Mar 10 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.0002-3
- rebuild for new perl

* Mon Feb 11 2008 Robin Norwood <rnorwood@redhat.com> - 1.0002-2
- Make fake provides have an explicit version to fix rpmlint warnings.

* Thu May 31 2007 Chris Weyl <cweyl@alumni.drew.edu> 1.0002-1
- Specfile autogenerated by cpanspec 1.71.
